Documentation Index
Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Job UUID
GET /v1/jobs/:id — Get details for a specific job.
Documentation Index
Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
curl https://api.usenaive.ai/v1/jobs/job-uuid \
-H "Authorization: Bearer nv_sk_live_..."
{
"id": "job-uuid",
"type": "video_generation",
"status": "completed",
"progress": 100,
"model": "fal-ai/kling-video/v3/pro/text-to-video",
"result": {
"video": {
"url": "https://fal.media/files/.../video.mp4",
"content_type": "video/mp4",
"file_size": 4521987
}
},
"error": null,
"credits_used": 5,
"fal_request_id": "fal-req-123",
"created_at": "2026-05-02T10:30:00Z",
"started_at": "2026-05-02T10:30:01Z",
"completed_at": "2026-05-02T10:31:02Z",
"metadata": { "estimated_seconds": 60 }
}
curl https://api.usenaive.ai/v1/jobs/job-uuid \
-H "Authorization: Bearer nv_sk_live_..."
{
"id": "job-uuid",
"type": "video_generation",
"status": "completed",
"progress": 100,
"model": "fal-ai/kling-video/v3/pro/text-to-video",
"result": {
"video": {
"url": "https://fal.media/files/.../video.mp4",
"content_type": "video/mp4",
"file_size": 4521987
}
},
"error": null,
"credits_used": 5,
"fal_request_id": "fal-req-123",
"created_at": "2026-05-02T10:30:00Z",
"started_at": "2026-05-02T10:30:01Z",
"completed_at": "2026-05-02T10:31:02Z",
"metadata": { "estimated_seconds": 60 }
}